org.springframework.scheduling.support

## Class CronTrigger

- java.lang.Object
- - org.springframework.scheduling.support.CronTrigger

All Implemented Interfaces:
  Trigger

    public class CronTrigger
    extends Object
    implements Trigger

`Trigger` implementation for cron expressions. Wraps a `CronSequenceGenerator`.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `CronSequenceGenerator`

### Constructor Summary

Constructors
Constructor and Description
`CronTrigger(String cronExpression)` Build a `CronTrigger` from the pattern provided in the default time zone.
`CronTrigger(String cronExpression, TimeZone timeZone)` Build a `CronTrigger` from the pattern provided.

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getExpression()`
`int` `hashCode()`
`Date` `nextExecutionTime(TriggerContext triggerContext)` Determine the next execution time according to the given trigger context.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CronTrigger

    public CronTrigger(String cronExpression)

Build a `CronTrigger` from the pattern provided in the default time zone.

Parameters:
  `cronExpression` - a space-separated list of time fields, following cron expression conventions

#### CronTrigger

    public CronTrigger(String cronExpression,
               TimeZone timeZone)

Build a `CronTrigger` from the pattern provided.

Parameters:
  `cronExpression` - a space-separated list of time fields, following cron expression conventions
  `timeZone` - a time zone in which the trigger times will be generated

### Method Detail

#### nextExecutionTime

    public Date nextExecutionTime(TriggerContext triggerContext)

Description copied from interface: `Trigger`
Determine the next execution time according to the given trigger context.

Specified by:
  `nextExecutionTime` in interface `Trigger`
Parameters:
  `triggerContext` - context object encapsulating last execution times and last completion time
Returns:
  the next execution time as defined by the trigger, or `null` if the trigger won't fire anymore

#### getExpression

    public String getExpression()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`